<!DOCTYPE html>
<html lang="en">
<head>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    {% if title %}
    <title>{{ title }} - SecNote</title>
    {% else %}
    <title>Welcome to SecNote</title>
    {% endif %}
</head>
<body>




{% if session['username']==FALSE %}
<div class="d-flex flex-column flex-md-row align-items-center p-3 px-md-4 mb-3 bg-white border-bottom shadow-sm">
      <h5 class="my-0 mr-md-auto font-weight-normal">Secnote</h5>
      <nav class="my-2 my-md-0 mr-md-3">
      <a class="btn btn-outline-primary my-sm-0" href="/register">Sign up</a>
      <a class="btn btn-outline-primary my-sm-0" href="/login">Sign in</a>
      </nav>
</div>
{% elif session['username'] %}
<div class="d-flex flex-column flex-md-row align-items-center p-3 px-md-4 mb-3 bg-white border-bottom shadow-sm">
      <h5 class="my-0 mr-md-auto font-weight-normal">Secnote</h5>

      <nav class="my-2 my-md-0 mr-md-3">
        <a class="p-2 text-dark">Welcome back {{ session['username'].decode('utf-8') }}</a>
        <a class="p-2 text-dark" href="/index">Home</a>
        <a class="p-2 text-dark" href="/My_notes">My notes</a>
        <a class="p-2 text-dark" href="/Find_notes">Search</a>
        <a class="p-2 text-dark" href="/create">Create note</a>
        <a class="btn btn-outline-primary my-sm-0" href="/logout">Logout</a>
      </nav>

</div>
{% endif %}


{% block content %}{% endblock %}
</body>
</html>